package com.gree.mall.manager.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 操作明细类型
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum OrderOperatorLogTypeEnum implements BaseEnum {

    QITA("其他","其他"),
    YUYUE("用户预约","用户预约"),
    YUYUEY("预约","用户预约"),
    WORKER("指派师傅","指派师傅"),
    GP("派工","派工"),
    GAIYUE("改约","改约"),
    YCFK("异常反馈","异常反馈"),
    WGFK("完工反馈","完工反馈"),
    HUIFANG("回访","回访"),
    FEIYONG("费用申请单","费用申请单"),
    FEIYONGEX("费用申请单审核","费用申请单审核"),
    DAIJIAN("待件","待件"),
    LAXIU("拉修","拉修"),
    NOCALL("不接电话","不接电话"),
    YANWU("延误","延误"),
    ZHILIANG("质量信息","质量信息"),
    ;


    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
